# Interface WeatherReqParams

Request options

interface WeatherReqParams {
custom?: { [key: string]: null | string | number | boolean | object };
maxCount?: number;
startDate?: string;
}

- Defined in weatherapi.ts:290

##### Index

### Properties

custom?
maxCount?
startDate?

## Properties

### `Optional` custom

custom?: { [key: string]: null | string | number | boolean | object }

Additional query parameters in the API request

- Defined in weatherapi.ts:293

### `Optional` maxCount

maxCount?: number

Maximum number of records to return

- Defined in weatherapi.ts:291

### `Optional` startDate

startDate?: string

Start date of forecast / observation data (format: YYYY-MM-DD)

- Defined in weatherapi.ts:292